|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QDomProcessingInstruction Class Reference
[QtXml module]

The QDomProcessingInstruction class represents an XML processing instruction. More...

     #include <QDomProcessingInstruction>

Inherits QDomNode.

Note: All the functions in this class are reentrant.

- List of all members, including inherited members

### Public Functions

- QDomProcessingInstruction ()
- QDomProcessingInstruction ( const QDomProcessingInstruction & x )
- QString data () const
- QDomNode::NodeType nodeType () const
- void setData ( const QString & d )
- QString target () const
- QDomProcessingInstruction & operator= ( const QDomProcessingInstruction & x )

- 65 public functions inherited from QDomNode

## Detailed Description

The QDomProcessingInstruction class represents an XML processing instruction.

Processing instructions are used in XML to keep processor-specific information in the text of the document.

The content of the processing instruction is retrieved with data() and set with setData(). The processing instruction's target is retrieved with target().

For further information about the Document Object Model see Level 1 and Level 2 Core. For a more general introduction of the DOM implementation see the QDomDocument documentation.

## Member Function Documentation

### QDomProcessingInstruction::QDomProcessingInstruction ()

Constructs an empty processing instruction. Use QDomDocument::createProcessingInstruction() to create a processing instruction with content.

### QDomProcessingInstruction::QDomProcessingInstruction ( const QDomProcessingInstruction & x )

Constructs a copy of x.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().

### QString QDomProcessingInstruction::data () const

Returns the content of this processing instruction.

See also setData() and target().

### QDomNode::NodeType QDomProcessingInstruction::nodeType () const

Returns `ProcessingInstructionNode`.

### void QDomProcessingInstruction::setData ( const QString & d )

Sets the data contained in the processing instruction to d.

See also data().

### QString QDomProcessingInstruction::target () const

Returns the target of this processing instruction.

See also data().

### QDomProcessingInstruction & QDomProcessingInstruction::operator= ( const QDomProcessingInstruction & x )

Assigns x to this processing instruction.

The data of the copy is shared (shallow copy): modifying one node will also change the other. If you want to make a deep copy, use cloneNode().